package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gctp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Oldgidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class GctaddStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private Gctp gctp;

    private Oldgidgrp oldgidgrp;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        if (gctp == null) {
            gctp = new Gctp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Oldgidgrp();
        }
    }
}
